Subject: bug#5217 closed by Michael Albinus <[email-masked]> (Re: bug#5217: dbusbind.c: mixed declarations and code)

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 15 Dec 2009 06:10:08 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5217: dbusbind.c: mixed declarations and code

It has been closed by Michael Albinus <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Michael Albinus <[email-masked]> by
replying to this email.

-- 
5217: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5217
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5217: dbusbind.c: mixed declarations and code
From: Michael Albinus <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Tue, 15 Dec 2009 07:00:52 +0100

Glenn Morris <[email-masked]> writes:

> I see this warning compiling dbusbind.c with
> gcc (GCC) 4.1.2 20080704 (Red Hat 4.1.2-46)
>
>   dbusbind.c:693: warning: ISO C90 forbids mixed declarations and code

I've reordered the declarations.

Thanks, and best regards, Michael.

Subject: dbusbind.c: mixed declarations and code
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 14 Dec 2009 22:17:42 -0500

I see this warning compiling dbusbind.c with
gcc (GCC) 4.1.2 20080704 (Red Hat 4.1.2-46)

  dbusbind.c:693: warning: ISO C90 forbids mixed declarations and code